aboutsummaryrefslogtreecommitdiff
path: root/package/qt5/qt5declarative/qt5declarative.mk
diff options
context:
space:
mode:
authorGravatar Rahul Bedarkar <rahulbedarkar89@gmail.com>2017-03-30 19:13:33 +0530
committerGravatar Thomas Petazzoni <thomas.petazzoni@free-electrons.com>2017-04-01 15:17:59 +0200
commit337aa51f3fd531ac676d4fc64075781129c9414a (patch)
treedc4d40247c584860f8e7ad0bb8ad20cbf02d060e /package/qt5/qt5declarative/qt5declarative.mk
parentaf31c309e73ca88ee70c52e591f90e4b89ff5e55 (diff)
downloadbuildroot-337aa51f3fd531ac676d4fc64075781129c9414a.tar.gz
buildroot-337aa51f3fd531ac676d4fc64075781129c9414a.tar.bz2
boot, package: use SPDX short identifier for GPLv3/GPLv3+
We want to use SPDX identifier for license string as much as possible. SPDX short identifier for GPLv3/GPLv3+ is GPL-3.0/GPL-3.0+. This change is done using following command. find . -name "*.mk" | xargs sed -ri '/LICENSE( )?[\+:]?=/s/\<GPLv3\>/GPL-3.0/g' Signed-off-by: Rahul Bedarkar <rahulbedarkar89@gmail.com> Acked-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
Diffstat (limited to 'package/qt5/qt5declarative/qt5declarative.mk')
-rw-r--r--package/qt5/qt5declarative/qt5declarative.mk4
1 files changed, 2 insertions, 2 deletions
diff --git a/package/qt5/qt5declarative/qt5declarative.mk b/package/qt5/qt5declarative/qt5declarative.mk
index 66a2696c87..63a5a6308d 100644
--- a/package/qt5/qt5declarative/qt5declarative.mk
+++ b/package/qt5/qt5declarative/qt5declarative.mk
@@ -12,10 +12,10 @@ QT5DECLARATIVE_INSTALL_STAGING = YES
ifeq ($(BR2_PACKAGE_QT5BASE_LICENSE_APPROVED),y)
ifeq ($(BR2_PACKAGE_QT5_VERSION_LATEST),y)
-QT5DECLARATIVE_LICENSE = GPL-2.0+ or LGPLv3, GPLv3 with exception(tools), GFDLv1.3 (docs)
+QT5DECLARATIVE_LICENSE = GPL-2.0+ or LGPLv3, GPL-3.0 with exception(tools), GFDLv1.3 (docs)
QT5DECLARATIVE_LICENSE_FILES = LICENSE.GPL2 LICENSE.GPLv3 LICENSE.GPL3-EXCEPT LICENSE.LGPLv3 LICENSE.FDL
else
-QT5DECLARATIVE_LICENSE = GPLv3 or LGPLv2.1 with exception or LGPLv3, GFDLv1.3 (docs)
+QT5DECLARATIVE_LICENSE = GPL-3.0 or LGPLv2.1 with exception or LGPLv3, GFDLv1.3 (docs)
QT5DECLARATIVE_LICENSE_FILES = LICENSE.GPLv3 LICENSE.LGPLv21 LGPL_EXCEPTION.txt LICENSE.LGPLv3 LICENSE.FDL
endif
else